import java.applet.Applet;
import java.awt.*;

/**
 * @author Elizabeth Sklar
 *
 * Applet allows you to draw dots on the black area.
 */
public class Dots extends Applet {

    // Set the size of the window and the size of the dots
    private final int APPLET_WIDTH = 400;
    private final int APPLET_HEIGHT = 400;
    private final int RADIUS = 6;

    // The Java library has a Point class. We use an instance
    // to identify where the mouse is.
    private Point point;

    // init just paints the background and sets up a listener
    public void init() {
	DotsMouseListener listener = 
	    new DotsMouseListener( this );
	addMouseListener( listener );
	setBackground( Color.black );
	setSize( APPLET_WIDTH,APPLET_HEIGHT );
    } 

    // Paint draws a dot at the mouse position.
    public void paint( Graphics g ) {
	g.setColor( Color.green );
	if ( point != null ) {
	    g.fillOval( point.x-RADIUS,point.y-RADIUS,RADIUS*2,RADIUS*2 );
	}
    }

    //  Allow the listener to tell us where the mouse is
    public void setPoint( Point point ) {
	this.point = point;
    }
}
